Jump to content
PayPal donations: [email protected] ×

Recommended Posts

Hello guys,

 

I try to install El Capitan (yes I know Sierra's been released already) on my Dell XPS M1210. 

The machine rocks: 

- a Core2duo T5500

- 1GB of RAM (yet to be upgraded to 4GB)
- Intel 945GM graphics (good ol' Intel GMA)

- a 120GB SSD

 

I tried this guide, because I figured the D630 and the M1210 are somewhat similar under the hood(?):

https://osxlatitude.com/index.php?/topic/8645-dell-latitude-d630-with-core2duo-and-nvidia-quadro-nvs-135m-el-capitansierra/

This way it hangs at "[begin PCI configuration]" (or didn't I just wait long enough?)

 

I look forward to hearing from you.

 

Regards,

 

Rick

 

Please excuse me for any mistakes in my English. I am Dutch, English is not my native language.

Share this post


Link to post
Share on other sites

I'm afraid you indeed have an incompatible platform...

  1. for future reference, please note that Sierra requires a SSE4-capable CPU. Your old Merom T5500 does not feature such instructions set. Only late Penryn C2D do and they're not compatible with your chipset.
  2. in 2012, Apple dropped support for obsolete GMA950 (and others) in Mountain Lion 10.8 along with a move to 64bit-only kernel/OS. These old graphic chips are last supported in Lion 10.7.5 and always in 32bit kernel mode because there are no 64bit versions of the necessary drivers. All versions of OS X/macOS are 64bit-only since ML.

 

As such, don't waste any time with any OS X/macOS version beyond Lion on this old platform. Even if, technically, you could install Mountain Lion/Mavericks/Yosemite/ElCapitan, it would badly lag due to lack of graphics acceleration, you'd have constant graphics glitches and artefacts and no sleep.

 

You should however be able to run Snow Leopard or Lion without problems. However the D630 (965GM chipset and nVidia graphics) is not the right model to look at, it's the D620 and D820 (or D430) models you need to turn to (Intel 945GM/PM chipset and GMA950 graphics). Use myHack to install OS X and, if your specs are close enough, grab stuff from those mentioned model's bootpacks:

https://osxlatitude.com/index.php?/topic/8081-full-packs-for-d620d630-snow-leopard-lion-mountain-lion-mavericks-yosemite-el-capitan-sierra/

https://osxlatitude.com/index.php?/topic/8815-full-packs-for-d430-snow-leopard-lion-mlpf-mountain-lion/

 

https://osxlatitude.com/index.php?/topic/7719-older-version-v312-of-myhack-for-snow-leopard/

http://myhack.sojugarden.com

  • Like 1

Share this post


Link to post
Share on other sites

Thanks, great, complete answer! 
 
Too bad I can't turn the machine into some awesome playground to play with Mac OS. I'll just have to give it a shot on my main working machine, a Skylake of which I am sure will support it :-)
 
Is Lion still usable? I would love to try xcode, but I probably won't work on Lion?

Share this post


Link to post
Share on other sites

Lion is still usable, absolutely (isn't Win7?), it may just look and feel a little old to some people. Less so than Snow Leopard I guess...

 

Each OS X version had its X-Code variant. Lion had its own naturally.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...